# Manual do usuario de &kde;

Darian
Lanx

    content@openprojects.net

2010-01-04
1.1 (&kde; 4.4)
kbuildsycoca4
8

# `kbuildsycoca4`

Reconstrui a caché da configuración do sistema.

## Resumo

    kbuildsycoca4  --nosignal --noincremental --checkstamps --nocheckfiles --global --menutest --track menu-id --help --help-qt --help-kde --help-all --author -v, --version --license

## Descrición

`kbuidsycoca4`, como parte das ferramentas &kde; para a liña de ordes garante o funcionamento correcto de &kde; lendo todos os ficheiros `.desktop`, `.xml` e `.protocol` para construír unha base de datos binaria.

&kde; acede a esta base de datos durante o funcionamento para a fornecer información de configuración que precise un programa para a súa execución.

Esta ferramenta é parte de ksycoca4, que significa &kde; System Configuration Cache

## Opcións

`--nosignal`

  Non enviar sinais ás aplicacións para que se actualicen

`--noincremental`

  Desactivar a actualización incremental, ler de novo todo

`--checkstamps`

  Comprobar os selos de tempo dos ficheiros

`--nocheckfiles`

  Desactivar a comprobación dos ficheiros (perigoso)

`--global`

  Crear unha base de datos global

`--menutest`

  Realizar só unha execución de proba da xeración do menú

`--track menu-id`

  Rastrexar o identificador do menú para depuración

`--help`

  Mostra axuda acerca das opcións

`--help-qt`

  Mostra as opcións específicas de Qt

`--help-kde`

  Mostra as opcións específicas de KDE

`--help-all`

  Mostra todas as opcións

`--author`

  Mostra información de autoría

`-v , --version`

  Mostra información da versión

`--license`

  Mostra información da licenza

## Utilización

O xeito estándar de executar este programa é especificar o seguinte comando na liña de ordes ``kbuidsycoca4``

## Ficheiros

`/var/tmp/kde-$USER/ksycoca4`

  O cartafol predeterminado onde se gardan os ficheiros de caché.

## Variábeis de contorno

$`KDEDIRS`

  Indica que directorios forman parte da instalación de KDE

## Consulte tamén

kdeinit4

## Erros

Probabelmente haxa moitísimos erros. Use bugs.kde.org para informar deles.